// -*- C++ -*- //

#ifndef EDIT_WIN_H
#define EDIT_WIN_H

#include <all_include.h>
#include <mapstorage.h>
#include <graph_displayer_canvas.h>
#include <libgnomecanvasmm.h>
#include <libgnomecanvasmm/polygon.h>

///This class is responsible for creating a window,
///on which the wished editorial tool can be activated.
class EditWin : public Gtk::Window
{
protected:
  ///The \ref GraphDisplayerCanvas on which the graph will be drawn.
  ///It has to be known for this class, because the appropriate
  //callback function for each tool is implemented in that class
  GraphDisplayerCanvas & gdc;

  ///Table that holds the tools.
  Gtk::Table table;
  
  ///these buttons are RadioButtons with classic look
  Gtk::RadioButton ** buttons;

public:
  ///Constructor of EditWin creates the widgets shown in EditWin.
  EditWin(const std::string& title, GraphDisplayerCanvas &);

  virtual bool closeIfEscapeIsPressed(GdkEventKey*);

  ///Callback function in case of button pression.
  ///It changes the actual tool ins editor's hand.
  void makeEditorialToolChanged(int);

};

#endif //EDIT_WIN_H
